Index: npl/internetserver/ebtables/ebtables.SlackBuild
===================================================================
--- npl/internetserver/ebtables/ebtables.SlackBuild	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/ebtables/ebtables.SlackBuild	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,72 +1,25 @@
 #!/bin/bash
-#Gebruik deze file als voorbeeld. Plaats de source tar.gz file in de zelfde directory als deze slackbuild
-#Met de NEED en DEP opties is het mogelijk om build dependencies aan te geven.
-#Voor de meeste packages hoeft er verder niks aan de variabellen veranderd te worden.
-##################################### Build dependency info:
-
-#Strict build-dependencies. 
-#Only use when really neccesary, this will rebuild our package if the dependencie has changed:
-##DEP:linux
-##DEP:linux_src
-
-#Loose build-dependencies.
-#Use this to specify the packages that are required to build our package:
-##NEED:libcairo
-##NEED:glib
-##NEED:gtk+
-##NEED:glib2
-##NEED:gtk+2
-##NEED:xorg_lib
-##NEED:xorg_proto
-
-#######Essential package info.
-#Change these if autodetection fails.
-
-#Name of the Syn-3 package that we are going to create
-NAME=`basename $0|sed 's/.SlackBuild//'`
-
-#Archive of the sourcefiles to unpack 
-SRC_ARC=`ls *.tar.*`
-
-#Version of the sourcefiles
-VER=v2.0.8_1
-
-#Directory of the sourcefiles to build (after optional unpacking)
-SRC_DIR=`echo $SRC_ARC| sed 's/\.tar\..*$//g'`
-
-#Architecture that the created binaries run on.
-#Use noarch for scripts.
-ARCH=`arch`
+#
+# Automaticly created by importpackage v1.0
+# Imported from: http://mirrors.slackware.com/slackware/slackware-current/source/n/ebtables/
+# Created at Wed Apr 26 15:31:32 CEST 2017
 
 
-########Build and create the pacakge.
-#Uncomment the stuff that you dont want or need
-
-#Unpack source 
-#(uncomment if not needed)
-syn3_unpack $SRC_ARC || exit 1
-
-#apply patches
-#patch -p1 -d $SRC_DIR < fluxkiosk.patch || exit 1
+########### source original slackbuild (hopefully we dont need to modify it)
+CWD=`pwd`
+set -e
+source ./ebtables.SlackBuild.orig
 
 
-pushd $SRC_DIR || exit 1
-make 
-mkdir -p /tmp/pkg/etc/{rc.d/init.d,sysconfig}
-make -j1 MANDIR=/usr/man BINDIR=/usr/bin DESTDIR=/tmp/pkg install || exit 1
-popd
-mv /tmp/pkg/usr/lib/ebtables/* /tmp/pkg/usr/lib/ || exit 1
-rmdir /tmp/pkg/usr/lib/ebtables || exit 1
+############ make syn3 packages
+cd $CWD
+for PKG in /tmp/package-*; do
+        NAME=`echo $PKG| sed 's/.*package-//'| sed 's/-/_/g'`
 
+        #seperate dev-package
+        syn3_move_dev $PKG $PKG""_dev
+        syn3_makepkg $PKG""_dev $NAME""_dev $VERSION $ARCH || exit 1
 
-#strip bins and other stuff
-syn3_strip /tmp/pkg || exit 1
-
-#move development stuff and create seperate development package
-syn3_move_dev /tmp/pkg /tmp/pkgdev || exit 1
-syn3_makepkg /tmp/pkgdev $NAME""_dev $VER $ARCH || exit 1
-
-#make main package
-syn3_makepkg /tmp/pkg $NAME $VER $ARCH || exit 1
-
-
+        #make main package
+        syn3_makepkg $PKG $NAME $VERSION $ARCH || exit 1
+done
Index: npl/internetserver/ebtables/ebtables.SlackBuild.orig
===================================================================
--- npl/internetserver/ebtables/ebtables.SlackBuild.orig	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/ebtables/ebtables.SlackBuild.orig	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for ebtables
+
+# Copyright 2011, mario <mario@slackverse.org>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+#    notice, this list of conditions and the following disclaimer.
+#
+#  THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+#  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+#  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO
+#  EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+#  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+#  PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+#  OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+#  WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+#  OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+#  ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PKGNAM=ebtables
+VERSION=${VERSION:-2.0.10}
+BUILD=${BUILD:-1}
+
+if [ -z "$ARCH" ]; then
+  case "$( uname -m )" in
+    i?86) ARCH=i486 ;;
+    arm*) ARCH=arm ;;
+       *) ARCH=$( uname -m ) ;;
+  esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+if [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+  SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+  LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2 -fPIC"
+  LIBDIRSUFFIX="64"
+else
+  SLKCFLAGS="-O2"
+  LIBDIRSUFFIX=""
+fi
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-v$VERSION-4
+tar xvf $CWD/$PKGNAM-v$VERSION-4.tar.xz || exit 1
+cd $PKGNAM-v$VERSION-4 || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# Set our CFLAGS and avoid a "warning-as-error" that breaks build
+sed -i \
+  -e "s|-fPIC -O3|${SLKCFLAGS}|" \
+  -e "s|-Wunused|-Wno-error=unused-but-set-variable|" \
+  Makefile
+
+make -j 4 || exit 1
+
+make install \
+  DESTDIR=$PKG \
+  LIBDIR=/usr/lib${LIBDIRSUFFIX} \
+  MANDIR=/usr/man \
+  BINDIR=/usr/sbin \
+  ETCDIR=/etc \
+  INITDIR=/etc/rc.d/init.d \
+  SYSCONFIGDIR=/etc/sysconfig || exit 1
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+  | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+mv $PKG/etc/ethertypes $PKG/etc/ethertypes.new
+
+# Remove Red Hat junk:
+rm -rf $PKG/etc/rc.d $PKG/etc/sysconfig
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a COPYING* ChangeLog INSTALL THANKS $PKG/usr/doc/$PKGNAM-$VERSION
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
Index: npl/internetserver/ebtables/ebtables.arch
===================================================================
--- npl/internetserver/ebtables/ebtables.arch	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/ebtables/ebtables.arch	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-i586
+i486
Index: npl/internetserver/ebtables/ebtables.build
===================================================================
--- npl/internetserver/ebtables/ebtables.build	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/ebtables/ebtables.build	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-3685
+7000
Index: npl/internetserver/ebtables/ebtables.md5
===================================================================
--- npl/internetserver/ebtables/ebtables.md5	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/ebtables/ebtables.md5	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,3 +1,8 @@
-216e5d20fbd0e56dbe7e56b0d07b1909  ./ebtables-v2.0.8-1.tar.gz
-c6e0ef47d85ddfa3096e294853e8723f  ./ebtables.SlackBuild
-9dca0e9a8609f81bc288de632ee3f002  ./ebtables.pkg
+c0fd857db1e758ccae5959d96fea5519  ./doinst.sh.gz
+61b14a1512dba8ec203d8b27473a4765  ./ebtables_dev.pkg
+9dfcc0c727d777c870a2fe95df0ba4e8  ./ebtables.pkg
+6d23137e7546df22e151b31a6588d04d  ./ebtables.SlackBuild
+8dc122e160a9880e8acd8f597fdd6849  ./ebtables.SlackBuild.log.gz
+dfc55211cd07bd274f3b3642db7aac6d  ./ebtables.SlackBuild.orig
+2fe2f1abbe8bdef5c4f45c9a18e9aff4  ./ebtables-v2.0.10-4.tar.xz
+c4a8f0d4ec2b67cf027834bd18d8ccb4  ./slack-desc
Index: npl/internetserver/ebtables/ebtables.version
===================================================================
--- npl/internetserver/ebtables/ebtables.version	(revision 010568537c6a24bc6e83a1a5814a6f87df3223f6)
+++ npl/internetserver/ebtables/ebtables.version	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -1,1 +1,1 @@
-v2.0.8_1
+2.0.10
Index: npl/internetserver/ebtables/ebtables_dev.arch
===================================================================
--- npl/internetserver/ebtables/ebtables_dev.arch	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/ebtables/ebtables_dev.arch	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -0,0 +1,1 @@
+i486
Index: npl/internetserver/ebtables/ebtables_dev.build
===================================================================
--- npl/internetserver/ebtables/ebtables_dev.build	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/ebtables/ebtables_dev.build	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -0,0 +1,1 @@
+2
Index: npl/internetserver/ebtables/ebtables_dev.version
===================================================================
--- npl/internetserver/ebtables/ebtables_dev.version	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/ebtables/ebtables_dev.version	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -0,0 +1,1 @@
+2.0.10
Index: npl/internetserver/ebtables/slack-desc
===================================================================
--- npl/internetserver/ebtables/slack-desc	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
+++ npl/internetserver/ebtables/slack-desc	(revision 072d3d5de659a6b31ab8cf584e523fc3d7b5d3d3)
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.  Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in.  You must
+# make exactly 11 lines for the formatting to be correct.  It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+        |-----handy-ruler------------------------------------------------------|
+ebtables: ebtables (Ethernet frame filtering on a Linux bridge)
+ebtables:
+ebtables: The ebtables utility enables basic Ethernet frame filtering on a
+ebtables: Linux bridge, logging, MAC NAT and brouting.  It only provides basic
+ebtables: IP filtering, the full-fledged IP filtering on a Linux bridge is
+ebtables: done with iptables.
+ebtables:
+ebtables: Homepage: http://ebtables.sourceforge.net/
+ebtables:
+ebtables:
+ebtables:
